Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.serialize
Class XHTMLIndenter

    java.lang.Object
      net.sf.saxon.event.SequenceReceiver
          net.sf.saxon.event.ProxyReceiver
              net.sf.saxon.serialize.HTMLIndenter
                  net.sf.saxon.serialize.XHTMLIndenter

All Implemented Interfaces:
  Result, Receiver

    public class XHTMLIndenter

extends HTMLIndenter

XHTMLIndenter: This class indents XHTML elements, by adding whitespace character data where appropriate. This class differs from its superclass, HTMLIndenter, only in the way it classifies elements as being inline or formatted elements: unlike the HTML indenter, it requires the element names to be in lower case and to be in the XHTML namespace.

Author:
  Michael Kay

Field Summary

Fields inherited from class net.sf.saxon.serialize.HTMLIndenter
`IS_FORMATTED, IS_INLINE`

Fields inherited from class net.sf.saxon.event.ProxyReceiver
`nextReceiver`

Fields inherited from class net.sf.saxon.event.SequenceReceiver
`pipelineConfiguration, previousAtomic, systemId`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`XHTMLIndenter()` Create an XHTML indenter

Method Summary
`protected int` | `classifyTag(int nameCode)` Classify an element name as inline, formatted, or both or neither.

Methods inherited from class net.sf.saxon.serialize.HTMLIndenter
`characters, comment, endElement, setOutputProperties, startElement`

Methods inherited from class net.sf.saxon.event.ProxyReceiver
`append, attribute, close, endDocument, getConfiguration, getDocumentLocator, getNamePool, getUnderlyingReceiver, namespace, open, processingInstruction, setPipelineConfiguration, setSystemId, setUnderlyingReceiver, setUnparsedEntity, startContent, startDocument, usesTypeAnnotations`

Methods inherited from class net.sf.saxon.event.SequenceReceiver
`append, getPipelineConfiguration, getSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLIndenter

    public XHTMLIndenter()

  Create an XHTML indenter

Method Detail

### classifyTag

    protected int classifyTag(int nameCode)

  Classify an element name as inline, formatted, or both or neither. This method is overridden in the XHTML indenter

  Overrides:
    `classifyTag` in class `HTMLIndenter`
  Parameters:
    `nameCode` - the element name
  Returns:
    a bit-significant integer containing flags IS_INLINE and/or IS_FORMATTED

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.